## org.apache.batik.util.gui
Class URIChooser.DocumentAdapter

    java.lang.Object
      org.apache.batik.util.gui.URIChooser.DocumentAdapter

All Implemented Interfaces:
  javax.swing.event.DocumentListener, java.util.EventListener

Enclosing class:
  URIChooser

protected class URIChooser.DocumentAdapter
extends java.lang.Object
implements javax.swing.event.DocumentListener

To listen to the document changes

Constructor Summary
`protected` `URIChooser.DocumentAdapter()`

Method Summary
`void` `changedUpdate(javax.swing.event.DocumentEvent e)`
`void` `insertUpdate(javax.swing.event.DocumentEvent e)`
`void` `removeUpdate(javax.swing.event.DocumentEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIChooser.DocumentAdapter

    protected URIChooser.DocumentAdapter()

Method Detail

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.